# StringList Class Reference

StringList. More...

`#include <colldata.h>`

Inheritance diagram for StringList:

## Public Member Functions
| StringList (UErrorCode &status)
| Construct an empty `StringList`.
| ~StringList ()
| The destructor.
void | add (const UnicodeString *string, UErrorCode &status)
| Add a string to the list.
void | add (const UChar *chars, int32_t count, UErrorCode &status)
| Add an array of Unicode code points to the list.
const UnicodeString * | get (int32_t index) const
| Get a particular string from the list.
int32_t | size () const
| Get the number of stings in the list.
virtual UClassID | getDynamicClassID () const
| the UObject glue.
## Static Public Member Functions
static UClassID | getStaticClassID ()
| the UObject glue.

## Detailed Description

StringList.

This object holds a list of `UnicodeString` objects.

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

Definition at line 156 of file colldata.h.

## Constructor & Destructor Documentation

StringList::StringList | ( | UErrorCode & | status | ) |

Construct an empty `StringList`.

Parameters:

  | status | - will be set if any errors occur.

Note: if on return, status is set to an error code, the only safe thing to do with this object is to call the destructor.

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

StringList::~StringList | ( |  | ) |

The destructor.

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

## Member Function Documentation

void StringList::add | ( | const UChar * | chars,
|  | int32_t | count,
|  | UErrorCode & | status |
| ) |  |  |

Add an array of Unicode code points to the list.

Parameters:

  | chars | - the address of the array of code points
  | count | - the number of code points in the array
  | status | - will be set if any errors occur.

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

void StringList::add | ( | const UnicodeString * | string,
|  | UErrorCode & | status |
| ) |  |  |

Add a string to the list.

Parameters:

  | string | - the string to add
  | status | - will be set if any errors occur.

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

const UnicodeString* StringList::get | ( | int32_t | index | ) | const

Get a particular string from the list.

Parameters:

  | index | - the index of the string

Returns:
  a pointer to the `UnicodeString` or `NULL` if `index` is out of bounds.

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

virtual UClassID StringList::getDynamicClassID | ( |  | ) | const`[virtual]`

the UObject glue.

..

Implements UObject.

static UClassID StringList::getStaticClassID | ( |  | ) | `[static]`

the UObject glue.

..

int32_t StringList::size | ( |  | ) | const

Get the number of stings in the list.

Returns:
  the number of strings in the list.

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

The documentation for this class was generated from the following file:

- colldata.h